Subject: Additional Error Handling scenario for draft-ietf-tewg-diff-te-proto-

From: Francois Le Faucheur <[email-masked]>
Date: Tue, 19 Mar 2002 17:29:56 +0100

Hi,

I got a similar comment from two people about a potential inconsistency 
between CT and PSC which could arise in some cases.

To address that, we could add some text explaining that in the case where:
	- L-LSPs are used
	- an intermediate LSR happens to have some local knowledge of relationship 
between PSCs and CTs (e.g. because the LSR implements some fancy scheduler 
weights adjustments)
	- the PSC and CT signaled are inconsitent with the local knowledge of 
PSC/CT relationbship,
then the LSR must reject the setup and send Error Message "xyz".

Thoughts/comments/concerns about that?

Cheers

Francois

---

From: Nabil Seddigh <[email-masked]>
Date: Thu, 28 Mar 2002 11:38:40 -0500

I just finished reading the latest version of the TE solutions 
draft (draft-ietf-tewg-diff-te-proto-00.txt) and had the following
comment.

Section 3 of the draft indicates that the CLASSTYPE object is only
carried in the PATH msg and not the RESV msg. This would appear to
be a significant departure from RSVP's traditional approach wrt 
bandwidth mgment. i.e. in regular RSVP-TE, the traffic params and 
service are required to be present in the RESV in the form of a
FLOWSPEC. 

Correspondingly, I would suggest that the CLASSTYPE object MUST be 
present in the RESV message as well. 

---
Best
Nabil Seddigh,
[email-masked]